# My editor
command -v nvim > /dev/null 2>&1
if [ $? -eq 0 ]; then
    export EDITOR="nvim"
else
    export EDITOR="vim"
fi

# Parallel conpilation with make
export MAKEFLAGS="-j`nproc`"

# I want clang as default compiler if it exists
command -v clang > /dev/null 2>&1
if [ $? -eq 0 ]; then
    export CC="clang"
fi

command -v clang++ > /dev/null 2>&1
if [ $? -eq 0 ]; then
    export CXX="clang++"
fi

# Wine Debug
export WINEDEBUG=-all

# for rust
export RUST_BACKTRACE=full

# for python
if [ -d $HOME/.venv ]; then
    export PATH=$HOME/.venv/bin:$PATH
    export VIRTUAL_ENV=$HOME/.venv
fi

# Use port 8000 by default for flask, cause why would we use anything different?
export FLASK_RUN_PORT=8000

export TERM=xterm-256color
export REPORTTIME=5
